<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
 <html>
 <body>
  <h2>NVIDIA System Monitor Event Log</h2>
  <table border="1">
   <tr bgcolor="#9acd32">
    <th> Time </th>
     <th> CPU / CPU1 Tj Temp </th>
     <th> CPU / CPU2 Tj Temp </th>
     <th> CPU / CPU Core Clk </th>
     <th> CPU / CPU Multiplier </th>
     <th> CPU / CPU1 Usage </th>
     <th> CPU / CPU2 Usage </th>
     <th> GPU / GPU Temp </th>
     <th> GPU / GPU Core Clk </th>
   </tr>
   <xsl:for-each select="NVMonitorLog/entry">
   <tr>
   <td><xsl:value-of select="Time"/></td>
   <td><xsl:value-of select="value1"/></td>
   <td><xsl:value-of select="value2"/></td>
   <td><xsl:value-of select="value3"/></td>
   <td><xsl:value-of select="value4"/></td>
   <td><xsl:value-of select="value5"/></td>
   <td><xsl:value-of select="value6"/></td>
   <td><xsl:value-of select="value7"/></td>
   <td><xsl:value-of select="value8"/></td>
   </tr>
   </xsl:for-each>
  </table>
  </body>
  </html>
</xsl:template>
</xsl:stylesheet>
